# Syntax

## Syntax

### Add security.

```
PUT /v{version}/users/{userId}/watchlists/{watchlistId}/securities
```

#### Description

Adds security to watchlist by security symbol and exchange.

#### Parameters

| Type       | Name                           | Description                  | Schema                                                                      | Default |
| ---------- | ------------------------------ | ---------------------------- | --------------------------------------------------------------------------- | ------- |
| **Header** | **Authorization**   *required* | Bearer type token string     | string                                                                      |         |
| **Header** | **Et-App-Key**   *required*    | Application key              | string                                                                      |         |
| **Path**   | **userId**   *required*        | User identifier              | integer (int32)                                                             |         |
| **Path**   | **version**   *required*       | The requested API version    | string                                                                      | `"1"`   |
| **Path**   | **watchlistId**   *required*   | Watchlist identifier         | integer (int32)                                                             |         |
| **Body**   | **body**   *required*          | Security symbol and exchange | [SecuritySignature](/rest-api/trading-api/definitions.md#securitysignature) |         |

#### Responses

| HTTP Code | Description                                       | Schema                                                                |
| --------- | ------------------------------------------------- | --------------------------------------------------------------------- |
| **200**   | Changed watchlist with securities                 | [WatchlistModel](/rest-api/trading-api/definitions.md#watchlistmodel) |
| **401**   | Authorization has been denied for this request.   | No Content                                                            |
| **403**   | Application key is not defined or does not exist  | No Content                                                            |
| **409**   | Security was not found                            | No Content                                                            |
| **422**   | Validation error occurred while processing entity | No Content                                                            |
| **500**   | Internal server error                             | No Content                                                            |

#### Consumes

* `application/json`
* `text/json`

#### Produces

* `application/json`
* `text/json`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/watchlists/add-security-to-watchlist-by-ticker/syntax.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
